## mistral 9.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

alembic>=0.8.10 # MIT
aodhclient>=0.9.0 # Apache-2.0
Babel!=2.4.0,>=2.3.4 # BSD
croniter>=0.3.4 # MIT License
cachetools>=2.0.0 # MIT License
dogpile.cache>=0.6.2 # BSD
eventlet!=0.20.1,!=0.21.0,!=0.23.0,!=0.25.0,>=0.20.0 # MIT
gnocchiclient>=3.3.1 # Apache-2.0
Jinja2>=2.10 # BSD License (3 clause)
#jsonschema>=2.6.0 # MIT
keystonemiddleware>=4.18.0 # Apache-2.0
kombu!=4.0.2,>=4.6.1 # BSD
mistral-lib>=1.2.0 # Apache-2.0
networkx<2.3,>=1.10;python_version<'3.0'  # BSD
networkx>=2.3;python_version>='3.4'  # BSD
oslo.concurrency>=3.26.0 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
oslo.context>=2.20.0 # Apache-2.0
oslo.db>=4.27.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.messaging>=5.29.0 # Apache-2.0
oslo.middleware>=3.31.0 # Apache-2.0
oslo.policy>=1.30.0 # Apache-2.0
oslo.utils>=3.37.0 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
osprofiler>=1.4.0 # Apache-2.0
paramiko>=2.0.0 # LGPLv2.1+
pbr!=2.1.0,>=2.0.0 # Apache-2.0
pecan>=1.2.1 # BSD
python-barbicanclient>=4.5.2 # Apache-2.0
python-cinderclient!=4.0.0,>=3.3.0 # Apache-2.0
python-zaqarclient>=1.0.0 # Apache-2.0
python-designateclient>=2.7.0 # Apache-2.0
python-glanceclient>=2.8.0 # Apache-2.0
python-glareclient>=0.3.0 # Apache-2.0
python-heatclient>=1.10.0 # Apache-2.0
python-keystoneclient>=3.8.0 # Apache-2.0
python-mistralclient!=3.2.0,>=3.1.0 # Apache-2.0
python-manilaclient>=1.23.0 # Apache-2.0
python-magnumclient>=2.1.0 # Apache-2.0
python-muranoclient>=0.8.2 # Apache-2.0
python-neutronclient>=6.7.0 # Apache-2.0
python-novaclient>=9.1.0 # Apache-2.0
python-senlinclient>=1.1.0 # Apache-2.0
python-swiftclient>=3.2.0 # Apache-2.0
python-tackerclient>=0.8.0 # Apache-2.0
python-troveclient>=2.2.0 # Apache-2.0
python-ironicclient!=2.7.1,!=3.0.0,>=2.7.0 # Apache-2.0
python-ironic-inspector-client>=1.5.0 # Apache-2.0
python-vitrageclient>=2.0.0 # Apache-2.0
python-zunclient>=3.4.0 # Apache-2.0
python-qinlingclient>=1.0.0 # Apache-2.0
PyJWT>=1.0.1 # MIT
PyYAML>=3.12 # MIT
requests>=2.14.2 # Apache-2.0
tenacity>=5.0.1 # Apache-2.0
six>=1.10.0 # MIT
SQLAlchemy>=1.2.5 # MIT
stevedore>=1.20.0 # Apache-2.0
WSME>=0.8.0 # MIT
yaql>=1.1.3 # Apache 2.0 License
tooz>=1.58.0 # Apache-2.0
zake>=0.1.6 # Apache-2.0

=== doc/requirements.txt ===
sphinx!=1.6.6,!=1.6.7,>=1.6.2,<2.0.0;python_version=='2.7'  # BSD
sphinx!=1.6.6,!=1.6.7,!=2.1.0,>=1.6.2;python_version>='3.4'  # BSD
sphinxcontrib-httpdomain>=1.3.0 # BSD
sphinxcontrib-pecanwsme>=0.8.0 # Apache-2.0
openstackdocstheme>=1.30.0 # Apache-2.0
reno>=2.5.0 # Apache-2.0

=== debian/changelog ===
mistral (9.0.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * New upstream release.
  * Added kombu as (b-)d.
  * Add fix-requirements-to-allow-networkx-2.2.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Oct 2019 19:13:29 +0200

mistral (9.0.0~rc1-2) experimental; urgency=medium

  * Fix (b-)d networkx >= 2.3 now that it's available in Experimental.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Oct 2019 08:52:00 +0200

mistral (9.0.0~rc1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 30 Sep 2019 13:24:50 +0200

mistral (8.0.0-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Michal Arbet <michal.arbet@ultimum.io>  Wed, 17 Jul 2019 19:27:54 +0200

mistral (8.0.0-2) experimental; urgency=medium

  * d/control:
      - Bump openstack-pkg-tools to version 99
      - Add me to uploaders field
  * d/copyright: Add me to copyright file

 -- Michal Arbet <michal.arbet@ultimum.io>  Fri, 03 May 2019 12:07:15 +0200

mistral (8.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 Apr 2019 09:54:28 +0200

mistral (8.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed package versions when satisfied in Buster.
  * Removed python3- prefix when calling config generators.
  * Removed CVE-2018-16849_Remove_extra_information_from_std.ssh_action.patch
    applied upstream.
  * Using pkgos-dh_auto_test.

 -- Thomas Goirand <zigo@debian.org>  Sat, 30 Mar 2019 00:02:17 +0100

mistral (7.0.0-2) unstable; urgency=high

  * CVE-2018-16849: add upstream patch "remove extra information from std.ssh
    action" (Closes: #912714).

 -- Thomas Goirand <zigo@debian.org>  Mon, 05 Nov 2018 15:32:27 +0100

mistral (7.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Add mistral-event-engine binary package and init template, thanks to
    Corey Bryant <corey.bryant@canonical.com> for the patch (Closes: #902016).

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Sep 2018 22:58:27 +0200

mistral (7.0.0~rc1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 24 Aug 2018 15:24:37 +0200

=== debian/control ===
Source: mistral
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools (>= 99~),
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 alembic,
 python3-aodhclient,
 python3-babel,
 python3-barbicanclient,
 python3-cachetools,
 python3-cinderclient,
 python3-coverage,
 python3-croniter,
 python3-designateclient,
 python3-docutils,
 python3-dogpile.cache,
 python3-eventlet,
 python3-fixtures,
 python3-glanceclient,
 python3-glareclient,
 python3-gnocchiclient,
 python3-hacking,
 python3-heatclient,
 python3-ironic-inspector-client,
 python3-ironicclient (>= 2.7.0),
 python3-jinja2,
 python3-jsonschema,
 python3-jwt,
 python3-keystoneclient,
 python3-keystonemiddleware,
 python3-kombu (>= 4.6.1),
 python3-magnumclient,
 python3-manilaclient,
 python3-mistral-lib (>= 1.2.0),
 python3-mistralclient,
 python3-mock,
 python3-muranoclient,
 python3-networkx (>= 2.2),
 python3-neutronclient,
 python3-nose,
 python3-novaclient,
 python3-oauthlib,
 python3-openstackdocstheme,
 python3-os-api-ref,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.utils (>= 3.37.0),
 python3-oslotest,
 python3-osprofiler,
 python3-paramiko,
 python3-pecan,
 python3-pep8,
 python3-qinlingclient,
 python3-requests,
 python3-requests-mock,
 python3-senlinclient,
 python3-six,
 python3-sphinxcontrib-pecanwsme,
 python3-sphinxcontrib.httpdomain,
 python3-sqlalchemy,
 python3-stestr,
 python3-stevedore,
 python3-swiftclient,
 python3-tackerclient,
 python3-tempest,
 python3-tenacity (>= 5.0.1),
 python3-testtools,
 python3-tooz,
 python3-troveclient,
 python3-unittest2,
 python3-vitrageclient,
 python3-wsme,
 python3-yaml,
 python3-yaql,
 python3-zake,
 python3-zaqarclient,
 python3-zunclient (>= 3.4.0),
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/services/mistral
Vcs-Git: https://salsa.debian.org/openstack-team/services/mistral.git
Homepage: https://github.com/openstack/mistral

Package: mistral-api
Architecture: all
Depends:
 adduser,
 debconf,
 mistral-common (= ${source:Version}),
 q-text-as-data,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack Workflow service - API
 Mistral is a workflow service. Most business processes consist of multiple
 distinct interconnected steps that need to be executed in a particular order
 in a distributed environment. One can describe such process as a set of tasks
 and task relations and upload such description to Mistral so that it takes
 care of state management, correct execution order, parallelism,
 synchronization and high availability. Mistral also provides flexible task
 scheduling so that it can run a process according to a specified schedule
 (i.e. every Sunday at 4.00pm) instead of running it immediately. Such set of
 tasks and relations between them is called a workflow.
 .
 This package contains the API server.

Package: mistral-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python3-mistral (= ${binary:Version}),
 sqlite3,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Workflow service - common files
 Mistral is a workflow service. Most business processes consist of multiple
 distinct interconnected steps that need to be executed in a particular order
 in a distributed environment. One can describe such process as a set of tasks
 and task relations and upload such description to Mistral so that it takes
 care of state management, correct execution order, parallelism,
 synchronization and high availability. Mistral also provides flexible task
 scheduling so that it can run a process according to a specified schedule
 (i.e. every Sunday at 4.00pm) instead of running it immediately. Such set of
 tasks and relations between them is called a workflow.
 .
 This package contains common files and configuration.

Package: mistral-engine
Architecture: all
Depends:
 adduser,
 mistral-common (= ${source:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack Workflow service - Engine
 Mistral is a workflow service. Most business processes consist of multiple
 distinct interconnected steps that need to be executed in a particular order
 in a distributed environment. One can describe such process as a set of tasks
 and task relations and upload such description to Mistral so that it takes
 care of state management, correct execution order, parallelism,
 synchronization and high availability. Mistral also provides flexible task
 scheduling so that it can run a process according to a specified schedule
 (i.e. every Sunday at 4.00pm) instead of running it immediately. Such set of
 tasks and relations between them is called a workflow.
 .
 This package contains the Engine.

Package: mistral-event-engine
Architecture: all
Depends:
 adduser,
 mistral-common (= ${source:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack Workflow service - Event Engine
 Mistral is a workflow service. Most business processes consist of multiple
 distinct interconnected steps that need to be executed in a particular order
 in a distributed environment. One can describe such process as a set of tasks
 and task relations and upload such description to Mistral so that it takes
 care of state management, correct execution order, parallelism,
 synchronization and high availability. Mistral also provides flexible task
 scheduling so that it can run a process according to a specified schedule
 (i.e. every Sunday at 4.00pm) instead of running it immediately. Such set of
 tasks and relations between them is called a workflow.
 .
 This package contains the Event Engine.

Package: mistral-executor
Architecture: all
Depends:
 adduser,
 mistral-common (= ${source:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack Workflow service - Executor
 Mistral is a workflow service. Most business processes consist of multiple
 distinct interconnected steps that need to be executed in a particular order
 in a distributed environment. One can describe such process as a set of tasks
 and task relations and upload such description to Mistral so that it takes
 care of state management, correct execution order, parallelism,
 synchronization and high availability. Mistral also provides flexible task
 scheduling so that it can run a process according to a specified schedule
 (i.e. every Sunday at 4.00pm) instead of running it immediately. Such set of
 tasks and relations between them is called a workflow.
 .
 This package contains the Executor.

Package: python3-mistral
Section: python
Architecture: all
Depends:
 alembic,
 python3-aodhclient,
 python3-babel,
 python3-barbicanclient,
 python3-cachetools,
 python3-cinderclient,
 python3-croniter,
 python3-designateclient,
 python3-dogpile.cache,
 python3-eventlet,
 python3-glanceclient,
 python3-glareclient,
 python3-gnocchiclient,
 python3-heatclient,
 python3-ironic-inspector-client,
 python3-ironicclient (>= 2.7.0),
 python3-jinja2,
 python3-jsonschema,
 python3-jwt,
 python3-keystoneclient,
 python3-keystonemiddleware,
 python3-kombu (>= 4.6.1),
 python3-magnumclient,
 python3-manilaclient,
 python3-mistral-lib (>= 1.2.0),
 python3-mistralclient,
 python3-muranoclient,
 python3-networkx (>= 2.2),
 python3-neutronclient,
 python3-novaclient,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.utils (>= 3.37.0),
 python3-osprofiler,
 python3-paramiko,
 python3-pbr,
 python3-pecan,
 python3-pymysql,
 python3-qinlingclient,
 python3-requests,
 python3-senlinclient,
 python3-setuptools,
 python3-six,
 python3-sqlalchemy,
 python3-stevedore,
 python3-swiftclient,
 python3-tackerclient,
 python3-tenacity (>= 5.0.1),
 python3-tooz,
 python3-troveclient,
 python3-vitrageclient,
 python3-wsme,
 python3-yaml,
 python3-yaql,
 python3-zake,
 python3-zaqarclient,
 python3-zunclient (>= 3.4.0),
 ${misc:Depends},
 ${python3:Depends},
Conflicts:
 python-mistral,
Description: OpenStack Workflow Service - Python libraries
 Mistral is a workflow service. Most business processes consist of multiple
 distinct interconnected steps that need to be executed in a particular order
 in a distributed environment. One can describe such process as a set of tasks
 and task relations and upload such description to Mistral so that it takes
 care of state management, correct execution order, parallelism,
 synchronization and high availability. Mistral also provides flexible task
 scheduling so that it can run a process according to a specified schedule
 (i.e. every Sunday at 4.00pm) instead of running it immediately. Such set of
 tasks and relations between them is called a workflow.
 .
 This package contains the Python libraries.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@  --with python3,systemd

override_dh_clean:
	dh_clean
	rm -f debian/*.init debian/*.service debian/*.upstart debian/mistral-common.postinst debian/mistral-common.config
	rm -rf debian/mistral-common.postrm debian/*.templates debian/po

override_dh_auto_clean:
	python3 setup.py clean

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func mistral-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func mistral-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func mistral-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func mistral-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_postrm mistral-common.postrm
	pkgos-merge-templates mistral-api mistral endpoint
	pkgos-merge-templates mistral-common mistral db rabbit ksat

override_dh_auto_install:
	echo "Do nothing..."

override_dh_auto_test:
	echo "Do nothing..."

override_dh_install:
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp; \
	done

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'mistral\.tests\.(?!(.*unit\.actions\.openstack\.test_generator\.GeneratorTest\.test_generator.*|.*api\.v2\.test_action_executions\.TestActionExecutionsController\.test_get_all_with_and_without_output.*))'
#	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages bash run_tests.sh -N -P || true
endif


	# Copy the configuration files
	set -e ; for i in logging.conf wf_trace_logging.conf ; do \
		install -D -m 0664 etc/$$i.sample $(CURDIR)/debian/mistral-common/usr/share/mistral-common/$$i ; \
	done
	install -D -m 0664 etc/policy.json $(CURDIR)/debian/mistral-common/usr/share/mistral-common/policy.json ; \
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--namespace mistral.config \
		--namespace oslo.db \
		--namespace oslo.messaging \
		--namespace oslo.middleware.cors \
		--namespace keystonemiddleware.auth_token \
		--namespace periodic.config \
		--namespace oslo.log \
		--namespace oslo.policy \
		--namespace oslo.service.sslutils \
		--output-file $(CURDIR)/debian/mistral-common/usr/share/mistral-common/mistral.conf
	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/mistral-common/usr/share/mistral-common/mistral.conf keystone_authtoken mistral

	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslopolicy-sample-generator \
		--output-file $(CURDIR)/debian/mistral-common/usr/share/mistral-common/policy.json \
		--format json \
		--namespace mistral

	pkgos-fix-config-default $(CURDIR)/debian/mistral-common/usr/share/mistral-common/mistral.conf keystone_authtoken auth_protocol http

	dh_install
	dh_missing --fail-missing

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## mistral 10.0.0~b2~git2020020609.5b5576dd

=== debian/changelog ===
mistral (10.0.0~b2~git2020020609.5b5576dd-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Thu, 06 Feb 2020 10:55:15 +0100

mistral (10.0.0~b1~git2019121815.bc46b29f-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.
  * d/control, d/rules, d/compat: Switch to debhelper compat 12 and pybuild.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 18 Dec 2019 15:36:59 -0500

mistral (9.0.0-0ubuntu1) eoan; urgency=medium

  * New stable point release for OpenStack Train.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Wed, 16 Oct 2019 17:29:02 +0100

mistral (9.0.0~rc1-0ubuntu1) eoan; urgency=medium

  [ Sahid Orentino Ferdjaoui ]
  * New upstream snapshot for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

  [ Corey Bryant ]
  * d/watch: Align to the new release version 9.X
  * New upstream release candidate for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/skip-test: Also skip for ironic.node_list action.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 01 Oct 2019 12:38:49 -0400

mistral (9.0.0~b2~git2019073018.c77eeb2d-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Tue, 30 Jul 2019 18:40:12 +0200

mistral (9.0.0~b1~git2019061620.f4416678-0ubuntu1) eoan; urgency=medium

  * New upstream release 9.0.0~b1.
  * d/rules: Fix binary name to generate config file.
  * d/control: Align (Build-)Depends with upstream.
  * d/rules: Fix binary name to generate policy sample.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Wed, 19 Jun 2019 11:23:30 +0100

=== debian/control ===
Source: mistral
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools (>= 85ubuntu3~),
 po-debconf,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.8.0),
Build-Depends-Indep:
 alembic (>= 0.8.10),
 python3-alembic (>= 0.8.10),
 python3-aodhclient (>= 0.9.0),
 python3-babel (>= 2.3.4),
 python3-barbicanclient (>= 4.5.2),
 python3-cachetools (>= 2.0.0),
 python3-cinderclient (>= 1:3.3.0),
 python3-coverage (>= 4.0),
 python3-croniter (>= 0.3.4),
 python3-designateclient (>= 2.7.0),
 python3-doc8 (>= 0.6.0),
 python3-docutils,
 python3-dogpile.cache (>= 0.6.2),
 python3-eventlet (>= 0.20.0),
 python3-fixtures (>= 3.0.0),
 python3-glanceclient (>= 1:2.8.0),
 python3-glareclient (>= 0.3.0),
 python3-gnocchiclient (>= 3.3.1),
 python3-hacking (>= 1.1.0),
 python3-heatclient (>= 1.10.0),
 python3-ironic-inspector-client (>= 1.5.0),
 python3-ironicclient (>= 2.7.0),
 python3-jinja2 (>= 2.10),
 python3-jsonschema (>= 2.6.0),
 python3-jwt (>= 1.5),
 python3-keystoneclient (>= 1:3.8.0),
 python3-keystonemiddleware (>= 4.18.0),
 python3-kombu (>= 4.6.1),
 python3-magnumclient (>= 2.1.0),
 python3-manilaclient (>= 1.23.0),
 python3-mistral-lib (>= 1.2.0),
 python3-mistralclient (>= 1:3.1.0),
 python3-mock (>= 2.0.0),
 python3-muranoclient (>= 0.8.2),
 python3-networkx (>= 1.10),
 python3-neutronclient (>= 1:6.7.0),
 python3-nose (>= 1.3.7),
 python3-novaclient (>= 2:9.1.0),
 python3-oauthlib (>= 0.6.2),
 python3-openstackdocstheme (>= 1.30.0),
 python3-os-api-ref (>= 1.4.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 1:2.20.0),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 1.30.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 3.37.0),
 python3-oslotest (>= 1:3.2.0),
 python3-osprofiler (>= 1.4.0),
 python3-paramiko (>= 2.0.0),
 python3-pecan (>= 1.2.1),
 python3-pep8,
 python3-qinlingclient (>= 1.0.0),
 python3-reno (>= 2.5.0),
 python3-requests (>= 2.14.2),
 python3-requests-mock (>= 1.2.0),
 python3-senlinclient (>= 1.1.0),
 python3-six (>= 1.10.0),
 python3-sphinxcontrib-pecanwsme (>= 0.8.0),
 python3-sphinxcontrib.httpdomain (>= 1.3.0),
 python3-sqlalchemy (>= 1.2.5),
 python3-stestr (>= 2.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-swiftclient (>= 1:3.2.0),
 python3-tackerclient (>= 0.8.0),
 python3-tempest (>= 1:17.1.0),
 python3-tenacity (>= 5.0.1),
 python3-testtools (>= 2.2.0),
 python3-tooz (>= 1.58.0),
 python3-troveclient (>= 1:2.2.0),
 python3-unittest2 (>= 1.1.0),
 python3-vitrageclient (>= 2.0.0),
 python3-wsme (>= 0.8.0),
 python3-yaml (>= 5.1),
 python3-yaql (>= 1.1.3),
 python3-zake (>= 0.1.6),
 python3-zaqarclient (>= 1.0.0),
 python3-zunclient (>= 3.4.0),
 subunit,
 testrepository,
Standards-Version: 4.1.4
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/mistral
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/mistral
Homepage: https://github.com/openstack/mistral
Testsuite: autopkgtest-pkg-python

Package: mistral-api
Architecture: all
Depends:
 adduser,
 debconf,
 mistral-common (= ${source:Version}),
 q-text-as-data,
 ${misc:Depends},
 ${ostack-lsb-base},
Description: OpenStack Workflow service - API
 Mistral is a workflow service. Most business processes consist of multiple
 distinct interconnected steps that need to be executed in a particular order
 in a distributed environment. One can describe such process as a set of tasks
 and task relations and upload such description to Mistral so that it takes
 care of state management, correct execution order, parallelism,
 synchronization and high availability. Mistral also provides flexible task
 scheduling so that it can run a process according to a specified schedule
 (i.e. every Sunday at 4.00pm) instead of running it immediately. Such set of
 tasks and relations between them is called a workflow.
 .
 This package contains the API server.

Package: mistral-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python3-mistral (= ${binary:Version}),
 sqlite3,
 ${misc:Depends},
Description: OpenStack Workflow service - common files
 Mistral is a workflow service. Most business processes consist of multiple
 distinct interconnected steps that need to be executed in a particular order
 in a distributed environment. One can describe such process as a set of tasks
 and task relations and upload such description to Mistral so that it takes
 care of state management, correct execution order, parallelism,
 synchronization and high availability. Mistral also provides flexible task
 scheduling so that it can run a process according to a specified schedule
 (i.e. every Sunday at 4.00pm) instead of running it immediately. Such set of
 tasks and relations between them is called a workflow.
 .
 This package contains common files and configuration.

Package: mistral-engine
Architecture: all
Depends:
 adduser,
 mistral-common (= ${source:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: OpenStack Workflow service - Engine
 Mistral is a workflow service. Most business processes consist of multiple
 distinct interconnected steps that need to be executed in a particular order
 in a distributed environment. One can describe such process as a set of tasks
 and task relations and upload such description to Mistral so that it takes
 care of state management, correct execution order, parallelism,
 synchronization and high availability. Mistral also provides flexible task
 scheduling so that it can run a process according to a specified schedule
 (i.e. every Sunday at 4.00pm) instead of running it immediately. Such set of
 tasks and relations between them is called a workflow.
 .
 This package contains the Engine.

Package: mistral-event-engine
Architecture: all
Depends:
 adduser,
 mistral-common (= ${source:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: OpenStack Workflow service - Event Engine
 Mistral is a workflow service. Most business processes consist of multiple
 distinct interconnected steps that need to be executed in a particular order
 in a distributed environment. One can describe such process as a set of tasks
 and task relations and upload such description to Mistral so that it takes
 care of state management, correct execution order, parallelism,
 synchronization and high availability. Mistral also provides flexible task
 scheduling so that it can run a process according to a specified schedule
 (i.e. every Sunday at 4.00pm) instead of running it immediately. Such set of
 tasks and relations between them is called a workflow.
 .
 This package contains the Event Engine.

Package: mistral-executor
Architecture: all
Depends:
 adduser,
 mistral-common (= ${source:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: OpenStack Workflow service - Executor
 Mistral is a workflow service. Most business processes consist of multiple
 distinct interconnected steps that need to be executed in a particular order
 in a distributed environment. One can describe such process as a set of tasks
 and task relations and upload such description to Mistral so that it takes
 care of state management, correct execution order, parallelism,
 synchronization and high availability. Mistral also provides flexible task
 scheduling so that it can run a process according to a specified schedule
 (i.e. every Sunday at 4.00pm) instead of running it immediately. Such set of
 tasks and relations between them is called a workflow.
 .
 This package contains the Executor.

Package: python3-mistral
Section: python
Architecture: all
Depends:
 alembic (>= 0.8.10),
 python3-alembic (>= 0.8.10),
 python3-aodhclient (>= 0.9.0),
 python3-babel (>= 2.3.4),
 python3-barbicanclient (>= 4.5.2),
 python3-cachetools (>= 2.0.0),
 python3-cinderclient (>= 1:3.3.0),
 python3-croniter (>= 0.3.4),
 python3-designateclient (>= 2.7.0),
 python3-dogpile.cache (>= 0.6.2),
 python3-eventlet (>= 0.20.0),
 python3-glanceclient (>= 1:2.8.0),
 python3-glareclient (>= 0.3.0),
 python3-gnocchiclient (>= 3.3.1),
 python3-heatclient (>= 1.10.0),
 python3-ironic-inspector-client (>= 1.5.0),
 python3-ironicclient (>= 2.7.0),
 python3-jinja2 (>= 2.10),
 python3-jsonschema (>= 2.6.0),
 python3-jwt (>= 1.5),
 python3-keystoneclient (>= 1:3.8.0),
 python3-keystonemiddleware (>= 4.18.0),
 python3-kombu (>= 4.6.1),
 python3-magnumclient (>= 2.1.0),
 python3-manilaclient (>= 1.23.0),
 python3-mistral-lib (>= 1.2.0),
 python3-mistralclient (>= 1:3.1.0),
 python3-muranoclient (>= 0.8.2),
 python3-networkx (>= 1.10),
 python3-neutronclient (>= 1:6.7.0),
 python3-novaclient (>= 2:9.1.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 1:2.20.0),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 1.30.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 3.37.0),
 python3-osprofiler (>= 1.4.0),
 python3-paramiko (>= 2.0.0),
 python3-pbr (>= 2.0.0),
 python3-pecan (>= 1.2.1),
 python3-pymysql,
 python3-qinlingclient (>= 1.0.0),
 python3-requests (>= 2.14.2),
 python3-senlinclient (>= 1.1.0),
 python3-setuptools,
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.2.5),
 python3-stevedore (>= 1:1.20.0),
 python3-swiftclient (>= 1:3.2.0),
 python3-tackerclient (>= 0.8.0),
 python3-tenacity (>= 5.0.1),
 python3-tooz (>= 1.58.0),
 python3-troveclient (>= 1:2.2.0),
 python3-vitrageclient (>= 2.0.0),
 python3-wsme (>= 0.8.0),
 python3-yaml (>= 5.1),
 python3-yaql (>= 1.1.3),
 python3-zake (>= 0.1.6),
 python3-zaqarclient (>= 1.0.0),
 python3-zunclient (>= 3.4.0),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Workflow Service - Python 3 libraries
 Mistral is a workflow service. Most business processes consist of multiple
 distinct interconnected steps that need to be executed in a particular order
 in a distributed environment. One can describe such process as a set of tasks
 and task relations and upload such description to Mistral so that it takes
 care of state management, correct execution order, parallelism,
 synchronization and high availability. Mistral also provides flexible task
 scheduling so that it can run a process according to a specified schedule
 (i.e. every Sunday at 4.00pm) instead of running it immediately. Such set of
 tasks and relations between them is called a workflow.
 .
 This package contains the Python 3 libraries.

## mistral 10.0.0~b3~git2020041013.a7da00d7

=== debian/changelog ===
mistral (10.0.0~b3~git2020041013.a7da00d7-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/mistral-common.postinst.in: Set ownership and permissions for all /var/lib
    files and directories.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 10 Apr 2020 13:14:45 -0400

mistral (10.0.0~b3~git2020032611.8a5d35ac-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.
  * d/mistral-common.postinst.in: Set default ownership and permissions
    for /etc/<pkg>, /var/lib/<pkg>, and /var/log/<pkg> (LP: #1859422).
  * d/p/skip-test.patch: Dropped. No longer needed.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 26 Mar 2020 11:34:22 -0400

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  python3-sphinx (>= 1.8.0),
 Build-Depends-Indep:
  alembic (>= 0.8.10),
- python3-alembic (>= 0.8.10),
+ python3-alembic (>= 0.9.6),
  python3-aodhclient (>= 0.9.0),
  python3-babel (>= 2.3.4),
  python3-barbicanclient (>= 4.5.2),
@@ -45,7 +45,7 @@
  python3-kombu (>= 4.6.1),
  python3-magnumclient (>= 2.1.0),
  python3-manilaclient (>= 1.23.0),
- python3-mistral-lib (>= 1.2.0),
+ python3-mistral-lib (>= 1.4.0),
  python3-mistralclient (>= 1:3.1.0),
  python3-mock (>= 2.0.0),
  python3-muranoclient (>= 0.8.2),
@@ -59,7 +59,7 @@
  python3-oslo.concurrency (>= 3.26.0),
  python3-oslo.config (>= 1:5.2.0),
  python3-oslo.context (>= 1:2.20.0),
- python3-oslo.db (>= 4.27.0),
+ python3-oslo.db (>= 4.40.0),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.log (>= 3.36.0),
  python3-oslo.messaging (>= 5.29.0),
@@ -70,9 +70,10 @@
  python3-oslo.utils (>= 3.37.0),
  python3-oslotest (>= 1:3.2.0),
  python3-osprofiler (>= 1.4.0),
- python3-paramiko (>= 2.0.0),
+ python3-paramiko (>= 2.4.1),
  python3-pecan (>= 1.2.1),
  python3-pep8,
+ python3-pygments (>= 2.2.0),
  python3-qinlingclient (>= 1.0.0),
  python3-reno (>= 2.5.0),
  python3-requests (>= 2.14.2),
@@ -216,7 +217,7 @@
 Architecture: all
 Depends:
  alembic (>= 0.8.10),
- python3-alembic (>= 0.8.10),
+ python3-alembic (>= 0.9.6),
  python3-aodhclient (>= 0.9.0),
  python3-babel (>= 2.3.4),
  python3-barbicanclient (>= 4.5.2),
@@ -240,7 +241,7 @@
  python3-kombu (>= 4.6.1),
  python3-magnumclient (>= 2.1.0),
  python3-manilaclient (>= 1.23.0),
- python3-mistral-lib (>= 1.2.0),
+ python3-mistral-lib (>= 1.4.0),
  python3-mistralclient (>= 1:3.1.0),
  python3-muranoclient (>= 0.8.2),
  python3-networkx (>= 1.10),
@@ -249,7 +250,7 @@
  python3-oslo.concurrency (>= 3.26.0),
  python3-oslo.config (>= 1:5.2.0),
  python3-oslo.context (>= 1:2.20.0),
- python3-oslo.db (>= 4.27.0),
+ python3-oslo.db (>= 4.40.0),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.log (>= 3.36.0),
  python3-oslo.messaging (>= 5.29.0),
@@ -259,7 +260,7 @@
  python3-oslo.service (>= 1.24.0),
  python3-oslo.utils (>= 3.37.0),
  python3-osprofiler (>= 1.4.0),
- python3-paramiko (>= 2.0.0),
+ python3-paramiko (>= 2.4.1),
  python3-pbr (>= 2.0.0),
  python3-pecan (>= 1.2.1),
  python3-pymysql,

=== debian/rules ===
--- 
+++ 
@@ -1,17 +1,16 @@
 #!/usr/bin/make -f
+
+export PYBUILD_NAME=mistral
 
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@  --with python3,systemd
+	dh $@  --with python3 --buildsystem=pybuild
 
 override_dh_clean:
 	dh_clean
 	rm -f debian/*.init debian/*.service debian/*.upstart debian/mistral-common.postinst debian/mistral-common.config
 	rm -rf debian/mistral-common.postrm debian/*.templates debian/po
-
-override_dh_auto_clean:
-	python3 setup.py clean
 
 override_dh_auto_build:
 	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func mistral-common.postinst
@@ -29,13 +28,10 @@
 	echo "Do nothing..."
 
 override_dh_install:
-	set -e ; for pyvers in $(PYTHON3S); do \
-		python$$pyvers setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp; \
-	done
+	pkgos-dh_auto_install --no-py2
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	pkgos-dh_auto_test --no-py2 'mistral\.tests\.(?!(.*unit\.actions\.openstack\.test_generator\.GeneratorTest\.test_generator.*|.*api\.v2\.test_action_executions\.TestActionExecutionsController\.test_get_all_with_and_without_output.*))'
-#	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages bash run_tests.sh -N -P || true
+	pkgos-dh_auto_test --no-py2
 endif
 
 
@@ -44,7 +40,7 @@
 		install -D -m 0664 etc/$$i.sample $(CURDIR)/debian/mistral-common/usr/share/mistral-common/$$i ; \
 	done
 	install -D -m 0664 etc/policy.json $(CURDIR)/debian/mistral-common/usr/share/mistral-common/policy.json ; \
-	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
+	PYTHONPATH=$(CURDIR)/debian/python3-mistral/usr/lib/python3/dist-packages oslo-config-generator \
 		--namespace mistral.config \
 		--namespace oslo.db \
 		--namespace oslo.messaging \
@@ -57,7 +53,7 @@
 		--output-file $(CURDIR)/debian/mistral-common/usr/share/mistral-common/mistral.conf
 	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/mistral-common/usr/share/mistral-common/mistral.conf keystone_authtoken mistral
 
-	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslopolicy-sample-generator \
+	PYTHONPATH=$(CURDIR)/debian/python3-mistral/usr/lib/python3/dist-packages oslopolicy-sample-generator \
 		--output-file $(CURDIR)/debian/mistral-common/usr/share/mistral-common/policy.json \
 		--format json \
 		--namespace mistral

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 http://tarballs.openstack.org/mistral/ mistral-(9\.\d.*)\.tar\.gz

## mistral 10.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

alembic>=0.9.6 # MIT
Babel!=2.4.0,>=2.3.4 # BSD
croniter>=0.3.4 # MIT License
cachetools>=2.0.0 # MIT License
dogpile.cache>=0.6.2 # BSD
eventlet!=0.20.1,!=0.21.0,!=0.23.0,!=0.25.0,>=0.20.0 # MIT
Jinja2>=2.10 # BSD License (3 clause)
jsonschema>=2.6.0 # MIT
keystonemiddleware>=4.18.0 # Apache-2.0
kombu!=4.0.2,>=4.6.1 # BSD
mistral-lib>=1.4.0 # Apache-2.0
networkx<2.3,>=1.10;python_version<'3.0'  # BSD
networkx>=2.3;python_version>='3.4'  # BSD
oslo.concurrency>=3.26.0 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
oslo.context>=2.20.0 # Apache-2.0
oslo.db>=4.40.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.messaging>=5.29.0 # Apache-2.0
oslo.middleware>=3.31.0 # Apache-2.0
oslo.policy>=1.30.0 # Apache-2.0
oslo.utils>=3.37.0 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.serialization>=2.21.1 # Apache-2.0
oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
osprofiler>=1.4.0 # Apache-2.0
paramiko>=2.4.1 # LGPLv2.1+
pbr!=2.1.0,>=2.0.0 # Apache-2.0
pecan>=1.2.1 # BSD
PyJWT>=1.5 # MIT
PyYAML>=5.1 # MIT
requests>=2.14.2 # Apache-2.0
tenacity>=5.0.1 # Apache-2.0
six>=1.10.0 # MIT
SQLAlchemy>=1.2.5 # MIT
stevedore>=1.20.0 # Apache-2.0
WSME>=0.8.0 # MIT
yaql>=1.1.3 # Apache 2.0 License
tooz>=1.58.0 # Apache-2.0
zake>=0.1.6 # Apache-2.0

=== doc/requirements.txt ===
sphinx>=1.8.0,!=2.1.0,!=3.0.0;python_version>='3.4' # BSD
sphinxcontrib-httpdomain>=1.3.0 # BSD
sphinxcontrib-pecanwsme>=0.8.0 # Apache-2.0
openstackdocstheme>=1.30.0 # Apache-2.0
os-api-ref>=1.4.0 # Apache-2.0
reno>=2.5.0 # Apache-2.0

=== tools/cookiecutter-mistral-custom/{{cookiecutter.project_name}}/requirements.txt ===
# The order of packages is significant,
# because pip processes them in the order of appearance.
# Changing the order has an impact on the overall integration.

=== debian/changelog ===
mistral (10.0.0-0ubuntu0.20.04.1) focal; urgency=medium

  [ Chris MacNaughton ]
  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/p/monkey-patch-original-current-thread.patch: Cherry-picked from
    https://review.opendev.org/#/c/728369/. This fixes service failures
    with Python 3.8 (LP: #1863021)
  * d/watch: Scope to 10.x series.
  * d/watch: Update to point at tarballs.opendev.org.
  * d/control: Align (Build-)Depends with upstream.

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/ussuri branch.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 15 May 2020 09:37:52 -0400

=== debian/control ===
--- 
+++ 
@@ -65,7 +65,7 @@
  python3-oslo.messaging (>= 5.29.0),
  python3-oslo.middleware (>= 3.31.0),
  python3-oslo.policy (>= 1.30.0),
- python3-oslo.serialization (>= 2.18.0),
+ python3-oslo.serialization (>= 2.21.1),
  python3-oslo.service (>= 1.24.0),
  python3-oslo.utils (>= 3.37.0),
  python3-oslotest (>= 1:3.2.0),
@@ -256,7 +256,7 @@
  python3-oslo.messaging (>= 5.29.0),
  python3-oslo.middleware (>= 3.31.0),
  python3-oslo.policy (>= 1.30.0),
- python3-oslo.serialization (>= 2.18.0),
+ python3-oslo.serialization (>= 2.21.1),
  python3-oslo.service (>= 1.24.0),
  python3-oslo.utils (>= 3.37.0),
  python3-osprofiler (>= 1.4.0),

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/mistral/ mistral-(10\.\d.*)\.tar\.gz
